Taskflow 'tuple' object is not callable

Bug #1220867 reported by Kurt Martin on 2013-09-04
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Cinder
High
Joshua Harlow

Bug Description

Taskflow 'tuple' object is not callable

2013-09-04 12:01:40.167 ERROR cinder.taskflow.utils [-] Failed rolling back 4: cinder.volume.flows.create_volume.OnFailureRescheduleTask;volume:create==1.0 due to inner exception.
2013-09-04 12:01:40.167 TRACE cinder.taskflow.utils Traceback (most recent call last):
2013-09-04 12:01:40.167 TRACE cinder.taskflow.utils File "/opt/stack/cinder/cinder/taskflow/utils.py", line 353, in rollback
2013-09-04 12:01:40.167 TRACE cinder.taskflow.utils f(cause)
2013-09-04 12:01:40.167 TRACE cinder.taskflow.utils File "/opt/stack/cinder/cinder/taskflow/utils.py", line 186, in __call__
2013-09-04 12:01:40.167 TRACE cinder.taskflow.utils self.task.revert(self.context, self.result, cause)
2013-09-04 12:01:40.167 TRACE cinder.taskflow.utils File "/opt/stack/cinder/cinder/volume/flows/create_volume/__init__.py", line 922, in revert
2013-09-04 12:01:40.167 TRACE cinder.taskflow.utils if not self._is_reschedulable(cause):
2013-09-04 12:01:40.167 TRACE cinder.taskflow.utils File "/opt/stack/cinder/cinder/volume/flows/create_volume/__init__.py", line 832, in _is_reschedulable
2013-09-04 12:01:40.167 TRACE cinder.taskflow.utils exc_type, value = cause.exc_info()[:2]
2013-09-04 12:01:40.167 TRACE cinder.taskflow.utils TypeError: 'tuple' object is not callable
2013-09-04 12:01:40.167 TRACE cinder.taskflow.utils

see pastebin for full exception: http://paste.openstack.org/show/45765/

Fix proposed to branch: master
Review: https://review.openstack.org/45105

Changed in cinder:
assignee: nobody → Joshua Harlow (harlowja)
status: New → In Progress

Reviewed: https://review.openstack.org/45105
Committed: http://github.com/openstack/cinder/commit/d9eb3535254ca2d198c84cde6b2ea02997ab8808
Submitter: Jenkins
Branch: master

commit d9eb3535254ca2d198c84cde6b2ea02997ab8808
Author: Joshua Harlow <email address hidden>
Date: Wed Sep 4 12:20:54 2013 -0700

    Fix tuple usage error

    The exc_info is just a tuple (captured in taskflow)
    and isn't itself a callable object so we should not
    need to use it like one to extract the exception type
    and value.

    Fixes bug #1220867

    Change-Id: Ie27d004bad4053baa2ac8eb84bb8b7cdc05a954d

Changed in cinder:
status: In Progress → Fix Committed
Changed in cinder:
importance: Undecided → High
milestone: none → havana-rc1
Thierry Carrez (ttx) on 2013-10-04
Changed in cinder:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-rc1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers